<?php
include("ust.php");

##-> Fotoğraf Galerisi Modülü
$modul_getir=mysql_query("SELECT * FROM moduller WHERE modul_adi='fotogaleri'"); 
$getir=mysql_fetch_array($modul_getir); 
$modul_durum = $getir['modul_durum'];
$m_g_sira_sayi = $getir['modul_v1'];
$foto_m_s_limit = $getir['modul_v2'];
$foto_karart = $getir['modul_v3'];
if($foto_karart == "acik"){$f_k_durum = "overlay";}else{}
if($modul_durum == "acik"){
?>
	
	<br>
	<section class="blog-layout news-default">
	<div class="container">
	<h2><?php echo $dil_v_getir['m27']; ?></h2>
	<hr>
	
	<div class="row">
	
	<?php
	
	$sayfada = $foto_m_s_limit; 
	$sorgu = mysql_query('SELECT COUNT(*) AS toplam FROM foto_galeri');
	$sonuc = mysql_fetch_assoc($sorgu);
	$toplam_icerik = $sonuc['toplam'];
	$toplam_sayfa = ceil($toplam_icerik / $sayfada);
	$sayfano = g("sayfa");
	$sayfa = isset($sayfano) ? (int) $sayfano : 1;
	if($sayfa < 1) $sayfa = 1; 
	if($sayfa > $toplam_sayfa) $sayfa = $toplam_sayfa; 
	$limit = ($sayfa - 1) * $sayfada;
	$sorgu = mysql_query('SELECT * FROM foto_galeri ORDER BY id DESC LIMIT ' . $limit . ', ' . $sayfada);
 
	while($icerik = mysql_fetch_assoc($sorgu)) {
	$resim = $icerik['resim'];
	$resim_id = $icerik['id'];
	
	if($blog_m_o_sayi == "evet"){ $t_o_k = '<li class="view"><i class="fa fa-eye"></i>'.$makale_goruntulenme.'</li>';}else{}
	echo '
	<div class="col-lg-'.$m_g_sira_sayi.' col-md-'.$m_g_sira_sayi.' col-12">
	<a  data-toggle="modal" data-target="#resim-modal'.$resim_id.'">
	<div class="single-news ">
	<div class="news-head '.$f_k_durum.'">
	<img src="'.$resim.'" alt="Fotoğraf">
	</div>
	</div>
	</a>
	</div>
	
	<div class="modal fade bd-example-modal-lg" id="resim-modal'.$resim_id.'"tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" >
	<div class="modal-dialog modal-lg">
	<div class="modal-header" style="border:0px solid black;">
	<img src="'.$resim.'" class="img-fluid">
	</div>
	<center><i class="fa fa-times-circle-o text-white fa-3x"></i></center>
	</div>
	</div>
	';
	}
	
	?> 
	
	</div>
	
	<div class="row">
	<div class="col-12">
	<div class="pagination-plugin">
	<ul class="pagination-list">
	<?php $verino = g("verino"); if(empty($verino)){ ?>
	<?php
	for($s = 1; $s <= $toplam_sayfa; $s++) {
	if($sayfa == $s) { 
	echo '<li class="page-numbers current"><a href="foto-galeri/?sayfa='.$s.'">'.$s.'</a></li>'; 
	}else{
	echo '<li class="page-numbers "><a href="foto-galeri/?sayfa='.$s.'">'.$s.'</a></li>';
    }}
	?>
	<?php }else{ ?>
	<?php
	for($s = 1; $s <= $toplam_sayfa; $s++) {
	if($sayfa == $s) { 
	echo '<li class="page-numbers current"><a href="foto-galeri/'.$verino.'?sayfa='.$s.'">'.$s.'</a></li>'; 
	}else{
	echo '<li class="page-numbers "><a href="foto-galeri/'.$verino.'?sayfa='.$s.'">'.$s.'</a></li>';
    }}
	?>
	<?php } ?>
	</ul>
	</div>
	</div>
	</div>
	
	<br>
	
	</div>
	</section>

		
<?php
include("alt.php"); }else{echo '<meta http-equiv="refresh" content="0;URL=anasayfa/"> ';}
?>		